when:
  - event: push
    branch: main

steps:
  - name: go-tests
    image: golang:1.24
    commands:
    - go test ./...
  - name: build-docker-image
    image: woodpeckerci/plugin-docker-buildx
    settings:
      repo: git.keks.cloud/${CI_REPO_OWNER}/miniauth
      dockerfile: Dockerfile
      #platforms: linux/amd64,linux/arm64,linux/arm64/v8
      tag: ${CI_COMMIT_SHA}
      registry: git.keks.cloud
      username: ${CI_REPO_OWNER}
      password:
        from_secret: docker_password
